Unable to link to titles containing double- or triple-apostrophes
Closed, ResolvedPublic

Description

Author: ais523

Description:
(I don't think that this is a duplicate of bug 8367) It's possible to upload an image
with a name like "Image:Test''Apostrophe.PNG", which contains two consecutive
apostrophes. However, such an image is unusable because the parser treats the apostrophes
like wikimarkup and doesn't include the image. (This actually came up in a helpme request
on enwiki, so it isn't entirely theoretical, although I agree that using '' in the name
of an image is just confusing.)


Version: 1.10.x
Severity: normal
URL: http://test.wikipedia.org/wiki/User:Ais523/TestApostrophe

bzimport added a project: MediaWiki-Parser.Via ConduitNov 21 2014, 9:30 PM
bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz8932.
bzimport created this task.Via LegacyFeb 9 2007, 6:45 PM
Nikerabbit added a comment.Via ConduitOct 6 2008, 7:30 AM

You can replace the apostrophes with html entities and it should work.

MZMcBride added a comment.Via ConduitOct 10 2008, 5:41 AM

Reopening. There's likely a duplicate bug somewhere, though I can't find an earlier one at this moment. Comment 1 suggests a workaround, but this bug is not resolved.

Apostrophes shouldn't cause breakage in valid syntax.

bzimport added a comment.Via ConduitSep 1 2009, 11:24 PM

tgkprog wrote:

it is difficult to post a link to article with even one apostrophe if you can get the text out of http://en.wikipedia.org/w/index.php?title=Apostrophe_wiki_urls&action=edit&redlink=1 then will see a sample - big problem posting it in some sites like http://www.plime.com/ can we have a work around/ mirror address without the apostrophes so current links are valid and we have a alternate? or is the best answer to use a redirect - tiny url site?

Nikerabbit added a comment.Via ConduitSep 21 2010, 7:41 AM
  • Bug 25229 has been marked as a duplicate of this bug. ***
Bawolff added a comment.Via ConduitOct 15 2010, 10:50 PM
  • Bug 25532 has been marked as a duplicate of this bug. ***
duplicatebug added a comment.Via ConduitAug 8 2011, 7:20 PM

Looks fixed with r68491 - the test case under the url works for me

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.